I keep receiving this error (in the apache log) and that i cannot obtain the php_mongo.dll module packed with the 32bit versions of both mongo and wamp.

PHP Warning:  PHP Startup: Unable to load dynamic library 'c:/wamp/bin/php/php5.3.5/ext/php_mongo.dll' - The specified module could not be found.\r\n in Unknown on line 0
<br />
<b>Warning</b>:  PHP Startup: Unable to load dynamic library 'c:/wamp/bin/php/php5.3.5/ext/php_mongo.dll' - The specified module could not be found.
in <b>Unknown</b> on line <b>0</b><br />

What is most frustrating is always that I can tell the file relaxing in the precise directory the mistake message is saying it cannot think it is! I have rechecked the php.ini edits were correct, however i still can't obtain the module to load when php begins. Any ideas exactly what the 'rn in Unknown online 0' may match?

php 5.3.5 apache 2.2.17 home windows 7

Thanks!

Make certain you apply the thread safe version from the mongodb extension wordpress plugin. I happened upon the identical errors when using the non-thread-safe versions.

To download the best extension, see: http://www.php.net/manual/en/mongo.installation.php#mongo.installation.windows

Probably you will need the VC9 (Thread Safe) version.